summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMarkus Ullmann <jokey@gentoo.org>2008-08-10 14:49:33 +0000
committerMarkus Ullmann <jokey@gentoo.org>2008-08-10 14:49:33 +0000
commit67cac7e8165bd9833c0c3a5a472cb8f3ed9c1fb9 (patch)
tree4df2c0c24db4be842211f9859caed779b8c5691e /app-emulation/virtualbox-guest-additions/files/virtualbox-guest-additions-1.6.4.initd
parentMask app-emulation/virtualbox-guest-additions on no-multilib profile (diff)
downloadhistorical-67cac7e8165bd9833c0c3a5a472cb8f3ed9c1fb9.tar.gz
historical-67cac7e8165bd9833c0c3a5a472cb8f3ed9c1fb9.tar.bz2
historical-67cac7e8165bd9833c0c3a5a472cb8f3ed9c1fb9.zip
Add version bump wrt bug #233683
Package-Manager: portage-2.2_rc6/cvs/Linux 2.6.26-gentoo i686
Diffstat (limited to 'app-emulation/virtualbox-guest-additions/files/virtualbox-guest-additions-1.6.4.initd')
-rw-r--r--app-emulation/virtualbox-guest-additions/files/virtualbox-guest-additions-1.6.4.initd43
1 files changed, 43 insertions, 0 deletions
diff --git a/app-emulation/virtualbox-guest-additions/files/virtualbox-guest-additions-1.6.4.initd b/app-emulation/virtualbox-guest-additions/files/virtualbox-guest-additions-1.6.4.initd
new file mode 100644
index 000000000000..4b3721d1bd67
--- /dev/null
+++ b/app-emulation/virtualbox-guest-additions/files/virtualbox-guest-additions-1.6.4.initd
@@ -0,0 +1,43 @@
+#!/sbin/runscript
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header:
+
+depend() {
+ need localmount
+ before xdm
+}
+
+start() {
+ ebegin "Starting VirtualBox guest additions"
+
+ # Check if vboxadd and vboxvfs module are already loaded
+ if [[ -e /proc/modules && ! -e /dev/vboxadd ]] ; then
+ einfo " Loading kernel modules and creating devices"
+ /sbin/modprobe vboxadd &> /dev/null
+ mknod /dev/vboxadd c 254 0 -m 0664 &> /dev/null
+ /sbin/modprobe vboxvfs &> /dev/null
+ fi
+
+ einfo " Starting the time syncronization system service"
+ start-stop-daemon --start --make-pidfile \
+ --exec /usr/sbin/vboxadd-timesync --pidfile /var/run/vboxadd-timesync.pid \
+ --name vboxadd-timesync \
+ --background
+
+ eend $? "Failed to start VirtualBox guest additions"
+}
+
+stop() {
+ ebegin "Stopping VirtualBox guest additions"
+
+ einfo " Stopping the time syncronization system service"
+ start-stop-daemon --stop --quiet \
+ --pidfile /var/run/vboxadd-timesync.pid --name vboxadd-timesync
+
+ einfo " Unloading kernel modules and removing devices"
+ /sbin/rmmod vboxvfs &> /dev/null
+ /sbin/rmmod vboxadd &> /dev/null
+ rm -f /dev/vboxadd &> /dev/null
+ eend $?
+}